#!/bin/bash

# runs all my image collectors and munges them together.
# written 05112005 uses imagemagick 3 perl scripts and fbsetbg

perl apod2dt.pl
perl userfriendly2dt.pl
perl dilbert2dt.pl

# get latest dilbert
dilbert=`ls /media/images/dilbert/ -lt | tr -s ' ' | cut -d ' ' -f 9 | tail -n 1`
dilbert=`find /media/images/dilbert/ | grep $dilbert`

# get latest userfriendly
userfriendly=`ls /media/images/userfriendly/ -lt | tr -s ' ' | cut -d ' ' -f 9 | tail -n 1`
userfriendly=`find /media/images/userfriendly/ | grep $userfriendly`

# get latest apodd
apod=`ls /media/images/apod/ -lt | tr -s ' ' | cut -d ' ' -f 9 | tail -n 1`
apod=`find /media/images/apod/ | grep $apod`

rm temp/*
#mkdir temp
convert $dilbert -resize 580x210\! temp/dilbert.png
convert $userfriendly -resize 700x274\! temp/uf.png
convert $apod -resize x750 temp/apod.png
# create tempate to center image on
convert -size 1280x750 xc:white temp/basic.png
#center
composite -gravity center temp/apod.png temp/basic.png temp/apod.png
# append the comics together
montage temp/uf.png temp/dilbert.png -geometry +0+0 -background white temp/comics.png
# append the comics to the bottom of the apod
montage temp/apod.png temp/comics.png -tile 1x2 -geometry +0+0 -background white temp/bg.png

wpsetters=feh fbsetbg temp/bg.png

